mwNumeric {manipulateWidget} | R Documentation

## Add a numeric input to a manipulateWidget gadget

### Description

Add a numeric input to a manipulateWidget gadget

### Usage

    mwNumeric(value, label = NULL, ..., .display = TRUE)

### Arguments

`value` | Initial value of the numeric input.
`label` | Display label for the control. If `NULL`, the name of the corresponding variable is used.
`...` | Other arguments passed to function`numericInput`
`.display` | expression that evaluates to TRUE or FALSE, indicating when the input control should be shown/hidden.

### Value

A function that will generate the input control.

### See Also

Other controls: `mwCheckboxGroup`, `mwCheckbox`, `mwDateRange`, `mwDate`, `mwGroup`, `mwPassword`, `mwRadio`, `mwSelectize`, `mwSelect`, `mwSharedValue`, `mwSlider`, `mwText`

### Examples

    if (require(plotly)) {
      manipulateWidget({
          plot_ly(data.frame(x = 1:10, y = rnorm(10, mean, sd)), x=~x, y=~y,
                  type = "scatter", mode = "markers")
        },
        mean = mwNumeric(0),
        sd = mwNumeric(1, min = 0, step = 0.1)
      )
    }

[Package manipulateWidget version 0.10.0 Index]